Skip to main content

Check transfer to Volet.com user

POST 

/api/withdrawal/validation/internal-other

Validates an internal transfer to another Volet.com account without creating a transaction.

Use this method to check a transfer to another Volet.com user before you send it with Transfer to Volet.com user. It takes the same body and does not create a transaction.

Step by step: Validate payout to a Volet.com user.

Request​

Bodyrequired

Internal third-party withdrawal validation payload.

    srcWalletIdstringnullable

    Src Wallet Id.

    Example: USD123456789012
    amountnumberrequired

    Amount.

    Possible values: >= 0

    Example: 10.25
    actionstringrequired

    Action.

    Possible values: [GIVE, GET]

    Example: GIVE
    notestringnullable

    Note.

    Possible values: <= 255 characters

    Example: Sandbox transfer note
    srcCurrencystringnullable

    Src Currency.

    Possible values: [USD, EUR, USDT, USDC, BTC, ETH, SOL, TRX, XRP, TON, LTC]

    Example: USD
    destWalletIdstringnullable

    Dest Wallet Id.

    Example: USD123456789012
    destCurrencystringnullable

    Dest Currency.

    Possible values: [USD, EUR, USDT, USDC, BTC, ETH, SOL, TRX, XRP, TON, LTC]

    Example: USD
    destEmailstringnullable

    Dest Email.

Responses​

OK